package  org.ts.ddcs.dataprocesser;

import org.ts.ddcs.dataStream.DataStreamAdapter;
import org.ts.ddcs.datatemplate.DataTemplateInterface;
import org.ts.ddcs.log.LogHelper;

/**
 * created by swp on 2017/8/28
 *
 * @author dylan
 */

public class UnknownDataProcesser extends DataProcesser implements DataProcesserInterface {
    @Override
    public void packetReadly(byte[] byteBuff, int pos, int length, DataStreamAdapter dataStreamAdapter, DataTemplateInterface template) {
        String logId = LogHelper.createLogId("UnknownDataProcesser");
        try {
//            byte[] datagramBuff = new byte[length];
//            System.arraycopy(byteBuff, pos, datagramBuff, 0, length);
//            String datagram = BytesUtil.byte2HexStr(datagramBuff);
//            LogHelper.info(logId + " datagram :" + datagram);
        } catch (Exception e) {
            LogHelper.error(e);
        }
    }
}
